Bug 1258732 - [abrt] WARNING: CPU: 4 PID: 29888 at drivers/gpu/drm/i915/intel_display.c:1064 intel_disable_pipe+0x28d/0x2a0 [i915]() [i915]
[abrt] WARNING: CPU: 4 PID: 29888 at drivers/gpu/drm/i915/intel_display.c:106...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8cf23c1edcd258b4e2126c66593...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 03:00 EDT by Jakub Filak
Modified: 2017-08-08 08:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:11:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (90.06 KB, text/plain)
2015-09-01 03:00 EDT, Jakub Filak
no flags Details

  None (edit)
Description Jakub Filak 2015-09-01 03:00:37 EDT
Description of problem:
I have a docked laptop (Lenovo W541, intel + nvidia graphical cards) and an external monitor connected to the docking station. When SDDM login screen came up both internal and external monitors were wokring. After I logged in to GNOME the external monitor turned off, so I switched to a terminal (Ctrl-Alt-F2) and the oops appeared.

Additional info:
reporter:       libreport-2.6.2.5.g85e6.dirty
WARNING: CPU: 4 PID: 29888 at drivers/gpu/drm/i915/intel_display.c:1064 intel_disable_pipe+0x28d/0x2a0 [i915]()
pipe_off wait timed out
Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_filter ebtable_broute bridge stp llc ebtable_nat ebtables ip6table_mangle ip6table_security ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_filter ip6_tables iptable_mangle iptable_security iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack bnep arc4 iwlmvm mac80211 snd_hda_codec_realtek iTCO_wdt snd_hda_codec_generic snd_hda_codec_hdmi iTCO_vendor_support snd_hda_intel intel_rapl snd_hda_codec iosf_mbi iwlwifi x86_pkg_temp_thermal coretemp snd_hda_core kvm_intel uvcvideo snd_hwdep snd_seq snd_seq_device videobuf2_vmalloc videobuf2_core kvm btusb snd_pcm btrtl videobuf2_memops btbcm
 v4l2_common btintel videodev cfg80211 joydev i2c_i801 thinkpad_acpi bluetooth snd_timer tpm_tis mei_me ie31200_edac media lpc_ich edac_core mei shpchp snd tpm soundcore rfkill nfsd auth_rpcgss nfs_acl lockd binfmt_misc grace sunrpc dm_crypt nouveau i915 mxm_wmi crct10dif_pclmul ttm crc32_pclmul crc32c_intel i2c_algo_bit e1000e drm_kms_helper ghash_clmulni_intel sdhci_pci serio_raw sdhci drm mmc_core ptp pps_core wmi video
CPU: 4 PID: 29888 Comm: Xorg Not tainted 4.2.0-1.fc24.x86_64 #1
Hardware name: LENOVO 20EGS0R60R/20EGS0R60R, BIOS GNET72WW (2.20 ) 02/26/2015
 0000000000000000 000000008cd1f8a1 ffff880065d93718 ffffffff817712aa
 0000000000000000 ffff880065d93770 ffff880065d93758 ffffffff8109e466
 00000000000074c0 ffff880466c20000 0000000000070008 000000010006898e
Call Trace:
 [<ffffffff817712aa>] dump_stack+0x45/0x57
 [<ffffffff8109e466>] warn_slowpath_common+0x86/0xc0
 [<ffffffff8109e4f5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa020b3bd>] intel_disable_pipe+0x28d/0x2a0 [i915]
 [<ffffffffa0211057>] haswell_crtc_disable+0x97/0x320 [i915]
 [<ffffffffa02138b3>] __intel_set_mode+0x233/0xb60 [i915]
 [<ffffffffa02154ef>] ? intel_modeset_compute_config+0x3af/0xb60 [i915]
 [<ffffffffa021ae86>] intel_crtc_set_config+0x2b6/0x580 [i915]
 [<ffffffffa0066326>] drm_mode_set_config_internal+0x66/0x100 [drm]
 [<ffffffffa00f8512>] restore_fbdev_mode+0xc2/0xf0 [drm_kms_helper]
 [<ffffffffa00fa399>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x70 [drm_kms_helper]
 [<ffffffffa00fa402>] drm_fb_helper_set_par+0x22/0x40 [drm_kms_helper]
 [<ffffffffa022974a>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff8141329f>] ? fb_set_var+0x2ef/0x460
 [<ffffffff814131e6>] fb_set_var+0x236/0x460
 [<ffffffff810d1733>] ? check_preempt_wakeup+0x193/0x210
 [<ffffffff810d1179>] ? update_curr+0x79/0x150
 [<ffffffff81409302>] fbcon_blank+0x312/0x360
 [<ffffffff8148df43>] do_unblank_screen+0xd3/0x1a0
 [<ffffffff81482f7d>] complete_change_console+0x5d/0xe0
 [<ffffffff814842c2>] vt_ioctl+0x12c2/0x12e0
 [<ffffffff81476b13>] tty_ioctl+0x3c3/0xb80
 [<ffffffff811d5e90>] ? handle_mm_fault+0xcc0/0x17d0
 [<ffffffff817776fe>] ? _raw_spin_unlock_irqrestore+0xe/0x10
 [<ffffffff81231225>] do_vfs_ioctl+0x295/0x470
 [<ffffffff813290bd>] ? selinux_file_ioctl+0x4d/0xc0
 [<ffffffff81231479>] SyS_ioctl+0x79/0x90
 [<ffffffff81777cae>] entry_SYSCALL_64_fastpath+0x12/0x71

Potential duplicate: bug 1248209
Comment 1 Jakub Filak 2015-09-01 03:00:43 EDT
Created attachment 1068865 [details]
File: dmesg
Comment 2 Jan Kurik 2016-02-24 08:41:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora End Of Life 2017-07-25 15:13:29 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:11:33 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.